package com.ffii.lioner.modules.lioner.entity;

import java.time.LocalDateTime;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotNull;

/** @author Jason Lam */
@Entity
@Table(name = "todo_reminder_noted")
public class TodoReminderNoted extends BaseEntity<Long>{

	@NotNull
	@Column
	private Long id;

    @NotNull
	@Column
	private Long todoReminderId;

    @NotNull
	@Column
	private Long userId;

    @NotNull
    @Column
	private LocalDateTime notedDate;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTodoReminderId() {
        return this.todoReminderId;
    }

    public void setTodoReminderId(Long todoReminderId) {
        this.todoReminderId = todoReminderId;
    }

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public LocalDateTime getNotedDate() {
        return this.notedDate;
    }

    public void setNotedDate(LocalDateTime notedDate) {
        this.notedDate = notedDate;
    }
    
}

